
QGIS Application - Bug report #2217

New vector layer rewrites already existing layer with the same name

2009-12-08 09:20 PM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12277

Description

1) Create new vector layer

2) Type filename at "Filename field" (for example, 'city')

At result existing file with name 'city.shp' will be rewrote without warnings.

History

#1 - 2009-12-09 11:27 AM - Giovanni Manghi

Confirmed also under linux.

I believe that the description misses to say that "a layer named city.shp already exist" and that the new vector is being saved in the same directory were the

layer "city.shp" stay.

#2 - 2009-12-09 01:37 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
